import Vue from 'vue'
import Vuex from 'vuex'
import state from './root/state'
import mutations from './root/mutations'
import getters from './root/getters'
import actions from './root/actions'
import userInfo from './modules/userinfo'
import brandreg from './modules/brandreg'
Vue.use(Vuex)

export default new Vuex.Store({
  state: state,
  mutations: mutations,
  actions: actions,
  getters: getters,
  modules:{
    brandreg,
    userInfo
  }
})
